ros-jazzy-rosidl-typesupport-introspection-cpp (4.6.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 13 May 2024 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (4.6.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 24 Apr 2024 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (4.6.0-1noble) noble; urgency=high

  * Adding interfaces to support @key annotation (#796 <https://github.com/ros2/rosidl/issues/796>)
    Co-authored-by: Mario Dominguez <mailto:mariodominguez@eprosima.com>
  * Contributors: Miguel Company

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 16 Apr 2024 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (4.5.2-1noble) noble; urgency=high

  * Set hints to find the python version we actually want. (#785 <https://github.com/ros2/rosidl/issues/785>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 27 Mar 2024 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (4.5.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 07 Feb 2024 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (4.5.0-1noble) noble; urgency=high

  * Switch to target_link_libraries. (#776 <https://github.com/ros2/rosidl/issues/776>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 Dec 2023 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (4.4.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 06 Nov 2023 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (4.4.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 04 Oct 2023 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (4.4.0-1noble) noble; urgency=high

  * Add rosidl_find_package_idl helper function (#754 <https://github.com/ros2/rosidl/issues/754>)
  * Contributors: Mike Purvis

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (4.3.1-1noble) noble; urgency=high

  * update comment (#757 <https://github.com/ros2/rosidl/issues/757>)
  * Contributors: Chen Lihui

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (4.3.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (4.2.0-1noble) noble; urgency=high

  * Fix deprecation warnings for message constants (#750 <https://github.com/ros2/rosidl/issues/750>)
  * Contributors: Emerson Knapp

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (4.1.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (4.1.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (4.0.0-1noble) noble; urgency=high

  * Type Description Codegen and Typesupport  (rep2011) (#727 <https://github.com/ros2/rosidl/issues/727>)
  * Expose type hash on typesupports (rep2011) (#729 <https://github.com/ros2/rosidl/issues/729>)
  * Type hash in interface codegen (rep2011) (#722 <https://github.com/ros2/rosidl/issues/722>)
  * Contributors: Emerson Knapp

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (3.4.0-1noble) noble; urgency=high

  * Make sure to add the event message to typesupport introspection cpp. (#724 <https://github.com/ros2/rosidl/issues/724>)
  * [service introspection] generate service_event messages (#700 <https://github.com/ros2/rosidl/issues/700>)
  * [rolling] Update maintainers - 2022-11-07 (#717 <https://github.com/ros2/rosidl/issues/717>)
  * Contributors: Audrow Nash, Brian, Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 13 Feb 2023 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (3.3.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (3.3.0-1noble) noble; urgency=high

  * Move rosidl_cmake Python module to a new package rosidl_pycommon (#696 <https://github.com/ros2/rosidl/issues/696>)
    Deprecate the Python module in rosidl_cmake and move the implementation to the new package rosidl_pycommon.
  * Add namespaced ALIAS target to easily consume generated libraries via add_subdirectory (#605 <https://github.com/ros2/rosidl/issues/605>)
  * Contributors: Jacob Perron, Silvio Traversaro

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 08 Sep 2022 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (3.2.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 21 Jun 2022 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (3.2.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 04 May 2022 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (3.1.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (3.1.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 05 Apr 2022 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (3.1.1-1noble) noble; urgency=high

  * Install generated headers to include/${PROJECT_NAME} (#670 <https://github.com/ros2/rosidl/issues/670>)
  * Misc cleanup in the rosidl generator extensions (#662 <https://github.com/ros2/rosidl/issues/662>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (3.1.0-1noble) noble; urgency=high

  * De-duplicate Quality Level from README and QUALITY_DECLARATION (#661 <https://github.com/ros2/rosidl/issues/661>)
  * Update Quality declaration to level 1 in README for instrospection pkgs (#659 <https://github.com/ros2/rosidl/issues/659>)
  * Install headers to include/${PROJECT_NAME} (#658 <https://github.com/ros2/rosidl/issues/658>)
  * Move rosidl_typesupport_introspection_cpp quality declaration to Q1 (#657 <https://github.com/ros2/rosidl/issues/657>)
  * add documentation for generators and API (#646 <https://github.com/ros2/rosidl/issues/646>)
  * Rework nested types' items introspection in C and C++ (#652 <https://github.com/ros2/rosidl/issues/652>)
  * Contributors: Jose Luis Rivero, Michel Hidalgo, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (3.0.1-1noble) noble; urgency=high

  * Set CXX standard to 17 (#635 <https://github.com/ros2/rosidl/issues/635>)
  * Contributors: Øystein Sture

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Jan 2022 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (3.0.0-1noble) noble; urgency=high

  * Fix up the documentation for rosidl_typesupport_introspection_cpp (#627 <https://github.com/ros2/rosidl/issues/627>)
  * Update package maintainers (#624 <https://github.com/ros2/rosidl/issues/624>)
  * Quality Declaration for typesupport_introspection (#621 <https://github.com/ros2/rosidl/issues/621>)
  * Make rosidl packages use FindPython3 instead of FindPythonInterp (#612 <https://github.com/ros2/rosidl/issues/612>)
  * Contributors: Chris Lalancette, Michel Hidalgo, Shane Loretz, eboasson

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 05 Nov 2021 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (2.5.0-1noble) noble; urgency=high

  * Revert "Bundle and ensure the exportation of rosidl generated targets" (#611 <https://github.com/ros2/rosidl/issues/611>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 10 Aug 2021 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (2.4.0-1noble) noble; urgency=high

  * Bundle and ensure the exportation of rosidl generated targets (#601 <https://github.com/ros2/rosidl/issues/601>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Jul 2021 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (2.3.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 11 Jun 2021 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (2.2.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (2.2.0-1noble) noble; urgency=high

  * Expose C++ introspection typesupport generation via rosidl generate CLI  (#573 <https://github.com/ros2/rosidl/issues/573>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (2.1.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 09 Mar 2021 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (2.0.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (2.0.2-1noble) noble; urgency=high

  * Update the maintainers of this repository. (#536 <https://github.com/ros2/rosidl/issues/536>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (2.0.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Sep 2020 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (2.0.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 24 Sep 2020 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (1.1.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 17 Aug 2020 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (1.0.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (1.0.0-1noble) noble; urgency=high

  * Fix variable suffix in rosidl_export_typesupport_targets (#483 <https://github.com/ros2/rosidl/issues/483>)
  * Contributors: Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 22 May 2020 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (0.9.2-1noble) noble; urgency=high

  * Force extension points to be registered in order (#485 <https://github.com/ros2/rosidl/issues/485>)
  * Contributors: Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 19 May 2020 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (0.9.1-1noble) noble; urgency=high

  * use typesuport targets instead of libraries (#478 <https://github.com/ros2/rosidl/issues/478>)
  * Contributors: Dirk Thomas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 May 2020 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (0.9.0-1noble) noble; urgency=high

  * Export missing targets for single typesupport build, avoid exposing build directories in include dirs (#477 <https://github.com/ros2/rosidl/issues/477>)
  * Export targets in addition to include directories / libraries (#471 <https://github.com/ros2/rosidl/issues/471> #473 <https://github.com/ros2/rosidl/issues/473> )
  * Fix build with single introspection typesupport (#470 <https://github.com/ros2/rosidl/issues/470>)
  * Move non-entry point headers into detail subdirectory (#461 <https://github.com/ros2/rosidl/issues/461>)
  * Rename rosidl_generator_c 'namespace' to rosidl_runtime_c (#458 <https://github.com/ros2/rosidl/issues/458>)
  * Rename rosidl_namespace_cpp namespace (#456 <https://github.com/ros2/rosidl/issues/456>)
  * Splitted rosidl_generator_c and rosidl_generator_cpp in two: rosidl_generator_x and rosidl_runtime_x (#442 <https://github.com/ros2/rosidl/issues/442>)
  * Export typesupport library in a separate cmake variable (#453 <https://github.com/ros2/rosidl/issues/453>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 24 Apr 2020 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (0.8.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 17 Jan 2020 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (0.8.1-1noble) noble; urgency=high

  * Add init and fini function for creating introspection messages (#416 <https://github.com/ros2/rosidl/issues/416>)
  * Contributors: Karsten Knese

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-jazzy-rosidl-typesupport-introspection-cpp (0.8.0-1noble) noble; urgency=high

  * fix cpp generator and introspection ts for long double (#383 <https://github.com/ros2/rosidl/issues/383>)
  * Contributors: Dirk Thomas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 24 Sep 2019 00:00:00 -0000


